Bug 171533 - Frequency in /proc/cpuinfo and /sys/.../cpuinfo_cur_freq differ
Summary: Frequency in /proc/cpuinfo and /sys/.../cpuinfo_cur_freq differ
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-22 13:55 UTC by Dirk Gfroerer
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-01 16:59:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of /proc/cpuinfo (1.02 KB, text/plain)
2005-10-22 13:58 UTC, Dirk Gfroerer
no flags Details

Description Dirk Gfroerer 2005-10-22 13:55:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
I've got a Pentium D 830 in a Dell Dimension 9100. According to Intels hardware specification Speed Step is available for this processor. cpuspeed is running and is telling me it can switch frequencies between 2.8 GHz and 3.0 GHz. When I query /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_cur_freq it is telling me most of the time the CPU(s) are running at 2.8 GHz. Exactly what I expect. However /proc/cpuinfo always shows the CPUs running at 3.0 GHz. If I take a look at my Notebook, the frequencies in /proc/cpuinfo and /sys/devices/.../cpuinfo_cur_freq change in sync.
Even when I send a SIGUSR2 to cpuspeed the frequency in /proc/cpuinfo does not change.


Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-22.EL

How reproducible:
Always

Steps to Reproduce:
1. cat /proc/cpuinfo
2. cat /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_cur_freq

  

Actual Results:  Frequencies differ.

Expected Results:  Frequencies are identical

Additional info:

Comment 1 Dirk Gfroerer 2005-10-22 13:58:03 UTC
Created attachment 120281 [details]
Output of /proc/cpuinfo

Comment 2 Joern Gaertner 2005-10-26 10:18:25 UTC
The P4D can't do speedstep, but the frequency can be changed by the BIOS.  The
frequency in /sys is the current frequency of the CPU, and the one is
/proc/cpuinfo is the canonical frequency.

Therefore, the behavior that you are seeing is expected and gives no cause for
alarm.


Note You need to log in before you can comment on or make changes to this bug.